Bug 65024 - "chown --from=user:group anotheruser:anothergroup file" does not change the owner+group of the file, even though the u+g matches those of the file
Summary: "chown --from=user:group anotheruser:anothergroup file" does not change the o...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-16 09:45 UTC by Oskari Ojala
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-01 16:43:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Oskari Ojala 2002-05-16 09:45:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
The --from parameter of chown does not match the files, even though it should.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
(as root)
1. touch somefile.txt
2. ls -ls|grep somefile.txt
0 -rw-r--r--   1 root    root    0 May 16 12:37 somefile.txt
(file is owned by root:root, as it should)
3. chown --from=root:root nobody:nobody somefile.txt
4. ls -ls|grep somefile.txt
0 -rw-r--r--   1 root    root    0 May 16 12:37 somefile.txt
(file is still owned by root:root, should be nobody:nobody)


Actual Results:  The file's owner and group did not change.

Expected Results:  The file should be owned by the new user and group given:
0 -rw-r--r--   1 nobody nobody   0 May 16 12:37 somefile.txt


Additional info:

Using version 4.1 from fileutils-4.1-4. The version 4.1 of chown copied from
Debian to a Red Hat system seems to work correctly with this.

Comment 1 Bernhard Rosenkraenzer 2002-07-01 16:43:26 UTC
I'm getting the correct results with fileutils 4.1.9 from rawhide.


Note You need to log in before you can comment on or make changes to this bug.